import { InternshipInfoDTO, InternshipRegistrationUpdate } from "@/api/dto/internship-registration";
import { axios } from "@/api/index";
import { Nullable } from "@/helpers";

const INTERNSHIP_ENDPOINT = '/internshipRegistration';

export async function update(internship: Nullable<InternshipRegistrationUpdate>): Promise<boolean> {
    const response = await axios.put(INTERNSHIP_ENDPOINT, internship);

    return true;
}

export async function get(): Promise<InternshipInfoDTO> {
    const response = await axios.get<InternshipInfoDTO>(INTERNSHIP_ENDPOINT);

    console.log(response);

    return response.data;
}
